--
-- CREATE CONSTRAINT TRIGGER
--

CREATE TABLE "tmp12" (
	"a" integer NOT NULL,
	Constraint "tmp2_pkey" Primary Key ("a")
);

CREATE TABLE "tmp13" (
	"a" integer,
	"b" integer
);

CREATE TABLE "tmp14" (
	"a" integer,
	"b" integer
);

CREATE TABLE "tmp15" (
	"a" integer,
	"b" integer
);

COPY "tmp12"  FROM stdin;
1
2
3
4
\.

COPY "tmp13"  FROM stdin;
1	10
1	20
\.

COPY "tmp14"  FROM stdin;
\.

COPY "tmp15"  FROM stdin;
\.

CREATE UNIQUE INDEX "tmp4_a_key" on "tmp14" using btree ( "a" "int4_ops", "b" "int4_ops" );


CREATE CONSTRAINT TRIGGER "tmpconstr" AFTER INSERT OR UPDATE ON "tmp13"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('tmpconstr', 'tmp13', 'tmp12', 'FULL', 'a', 'a');


CREATE CONSTRAINT TRIGGER "tmpconstr" AFTER DELETE ON "tmp12"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('tmpconstr', 'tmp13', 'tmp12', 'FULL', 'a', 'a');


CREATE CONSTRAINT TRIGGER "tmpconstr" AFTER UPDATE ON "tmp12"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('tmpconstr', 'tmp13', 'tmp12', 'FULL', 'a', 'a');

DROP INDEX "tmp4_a_key";
DROP TABLE "tmp12";
DROP TABLE "tmp13";
DROP TABLE "tmp14";
DROP TABLE "tmp15";
